{"openapi":"3.1.0","info":{"title":"API ЛК Поставщика","description":"## Порядок действий при создании поставки:\n1. Создать заявку на поставку и указать в ней склад “Детского мира“. Если поставка прямая, то указывается только конечный склад (например, Бекасово). Если поставка транзитная, то в качестве транзитного склада указываем Бекасово и другой конечный склад.\n2. Добавить товары в поставку, указать их количество  и отправить на согласование модератору Детского мира. На этом этапе согласовывается количество товаров, которые вы хотите поставить.\n3. Получить информацию по поставке и дождаться статуса, который говорит о том, что поставка согласована или не согласована с модератором.\n4. После согласования поставки необходимо заполнить ее обязательные атрибуты.  Сгенерить номера единиц отгрузки (ЕО) и распределить по ним товары. По товарам заполнить КМ и ГТД/РНПТ,  если это требуется для товара. \n5. Выбрать дату и временной слот для поставки, заполнить номер и дату документа отгрузки.\n6. После заполнения атрибутов поставку необходимо отправить на согласование в «Детский мир». В ходе этого процесса будут согласованы дополнительные данные по товарам и сама поставка.\n7. Получить информацию по поставке, дождаться статуса, что она согласована.\n8. Заполнить информацию о водителе и транспортном средстве.\n9. Скачать этикетки по поставке.\n10. Физически (вне API) распечатать этикетки, наклеить на поставку и привезти поставку в Детский мир.\n11. Выгрузить по поставке Акт приема-передачи (АПП)\n12. Выгрузить информацию для УПД (при необходимости, некоторые селлеры сами формируют УПД).\n13. Отправить УПД в ЭДО (электронный документооборот).\n14. Получить финальный статус по поставке “Подписан УПД”.\n"},"servers":[{"url":"/"}],"paths":{"/public/api/seller/fbo/v1/shipments":{"get":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Получение списка поставок FBO","description":"Метод для получения информации по всем вашим поставкам.\n","operationId":"fboApiGetShipmentList","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"idGte","in":"query","description":"Нижняя граница номера поставки, используется для пагинации по номерам заявки","required":false,"schema":{"type":"integer","format":"int64","description":"Нижняя граница номера поставки, используется для пагинации по номерам заявки"}},{"name":"idLte","in":"query","description":"Верхняя граница номера поставки, используется для пагинации по номерам заявки","required":false,"schema":{"type":"integer","format":"int64","description":"Верхняя граница номера поставки, используется для пагинации по номерам заявки"}},{"name":"createdGte","in":"query","description":"Нижняя граница интервала поиска даты создания поставки","required":false,"schema":{"type":"string","format":"date-time","description":"Нижняя граница интервала поиска даты создания поставки","example":"2025-01-01T10:00:00Z"},"example":"2025-01-01T10:00:00Z"},{"name":"createdLte","in":"query","description":"Верхняя граница интервала поиска даты создания поставки","required":false,"schema":{"type":"string","format":"date-time","description":"Верхняя граница интервала поиска даты создания поставки","example":"2025-01-01T11:00:00Z"},"example":"2025-01-01T11:00:00Z"},{"name":"statusIn","in":"query","description":"Множество искомых статусов поставки","required":false,"schema":{"type":"array","description":"Множество искомых статусов поставки","items":{"type":"string","description":"Статус заявки на поставку","enum":["DRAFT","ON_APPROVAL","DECLINED","PICKING","VERIFICATION","VERIFICATION_ERROR","PERMIT_REGISTRATION","PLANNED","DELIVERED","UTD_WAITING","UTD_ERROR","UTD_SIGNED"]},"uniqueItems":true}},{"name":"deletedEq","in":"query","description":"Искомое значение признака удаленной поставки","required":false,"schema":{"type":"boolean","description":"Искомое значение признака удаленной поставки"}},{"name":"cancelledEq","in":"query","description":"Искомое значение признака отмененной поставки","required":false,"schema":{"type":"boolean","description":"Искомое значение признака отмененной поставки"}},{"name":"cancelRequestedEq","in":"query","description":"Искомое значение признака запроса на отмену поставки","required":false,"schema":{"type":"boolean","description":"Искомое значение признака запроса на отмену поставки"}},{"name":"offset","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Запрос успешно обработан","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListingDtoFboApiShipmentDto"}}}},"404":{"description":"URL не найден","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}},"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Создание заявки на поставку","description":"Метод для создания заявки на поставку.\nЗдесь надо указать, на какой склад вы хотели бы сделать поставку и нужен ли транзитный склад.\n\nПравила заполнения:\n- `warehouseId` - id склада, куда планируете сделать поставку\n- `transitWarehouseId` - id транзитного склада, при необходимости.\n\n\n- `id`: 1 - РЦ Бекасово\n- `id`: 2 - РЦ Урал\n- `id`: 3 - РЦ Юг\n\nВозможные комбинации складов вы можете получить отдельным запросом в методе «Получение складов Детского Мира».\nВ случае успешной обработки запроса, в ответе вам придет id поставки, используйте его для работы далее.\n","operationId":"fboApiCreateShipment","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiCreateShipmentRequestDto"}}},"required":true},"responses":{"201":{"description":"Ид созданной поставки","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiShipmentIdOnlyDto"}}}},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}/universal-transport-document/download":{"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Получение ссылки на УПД версии 5.03","description":"Метод для запроса УПД в формате XML, если это необходимо.\nДля разъяснения понятия «УПД» и других бизнес-терминов, связанных с работой на маркетплейсах, обратитесь к профильным специалистам вашей компании.\n","operationId":"fboApiGenerateUtd503","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiCreateUtdRequestDto"}}},"required":true},"responses":{"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Поставка не найдена","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}/send-to-verification":{"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Отправка поставки на проверку","description":"Метод для отправки поставки на проверку в «Детский мир». Отправляйте поставку после того, как заполните в ней все поля:\n- товары, их количество, КМ/ГТД/РНПТ, разнесение по единицам отгрузки\n- временной слот, когда готовы привезти\n- данные о ТС и водителе\n\nПосле того, как вы отправили поставку на проверку, настройте мониторинг статусов, используя метод «Получение информации по поставке».\n\nСклад Детского мира готов принять вашу поставку, когда она перейдет в статус: PLANNED.\n\nДо отправки Поставки, получите этикетки, используя метод «Получение этикеток по номерам ЕО» и наклейте их на единицы отгрузки.\n","operationId":"fboApiSendToVerification","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiShipmentVerificationRequest"}}},"required":true},"responses":{"200":{"description":"Запрос успешно обработан"},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"URL не найден","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}/send-to-approval":{"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Отправка поставки на согласование модератору","description":"Метод для согласования с Детским миром количества товаров, которые вы хотели бы поставить.\n\nПосле того, как вы заполнили все штрихкоды и количество товаров для поставки в методе «Добавление товаров в поставку»,\nотправьте ее на согласование.\n\nДля того, чтобы узнать далее статус согласования поставки, используйте метод «Получение информации по поставке»\n","operationId":"fboApiSendToApproval","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Запрос успешно обработан"},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"URL не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}/plan-shipment":{"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Бронирование слота для поставки в расписании склада","description":"Метод для добавления в поставку слота: даты и времени, когда вы готовы её привезти.\n\nСписок доступных слотов вы можете получить, используя метод: «Получение свободных слотов для поставки»\n","operationId":"fboApiPlanShipment","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiPlanShipmentRequestDto"}}},"required":true},"responses":{"200":{"description":"Запрос успешно обработан"},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"URL не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}/items":{"get":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Получение товаров в поставке","description":"Метод для получения полной информации о товарах в поставке. В ответе, помимо штрихкодов и количестве товаров, переданных ранее в методе «Добавление товарной позиции в поставку», вы получите данные по всем их атрибутам.\nПояснение некоторых полей:\n\n- `markingRequired` - true - к этому товару требуются коды маркировок.\n- `declarationRequired` - true - к этому товару требуются коды ГТД\n- `traceable` - true - к этому товару требуются коды РНПТ.\n\nЕсли вам нужно разобраться в том, что такое коды маркировок,\nГТД или РНПТ - обратитесь пожалуйста к вашим коллегам по бизнес-части, это бизнес-понятия работы с маркетплейсами.\n\n- `approvedCount`: 12 - это согласованное количество товаров,\nкоторое модератор согласовал для поставки (может совпадать с тем количеством товара,\nкоторое вы изначально в поставке заявляли, а может быть меньше).\n","operationId":"fboApiGetShipmentItems","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Запрос успешно обработан","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListingDtoFboApiShipmentItemDto"}}}},"404":{"description":"URL не найден","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}},"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Добавление товарной позиции в поставку","description":"Метод для добавления товаров в поставку.\n\nДля каждого товара заполните штрихкод и количество товаров, которые хотели бы добавить в поставку.\n\nВ одну поставку можно добавить не более 2000 наименований товаров, т.е 2000 штрихкодов,\nпо каждому из которых может быть свое количество штук.\n\nЕсли вы хотите поставить больше товаров, пожалуйста, сделайте несколько поставок.\n","operationId":"fboApiAddItemsToShipment","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiAddItemsRequestDto"}}},"required":true},"responses":{"200":{"description":"Товар добавлен в поставку"},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}/items/units":{"get":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Получение информации по ЕО и вложенным товарам","description":"Метод для получения информации о текущем распределении товаров по единицам отгрузки в поставке.\n\nНапример, если надо проверить, точно ли все распределено так, как вы вносили в методе: «Добавления товара в ЕО».\n","operationId":"fboApiGetItemsLinks","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Запрос успешно обработан","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListingDtoFboApiItemLinksResponseDto"}}}},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"URL не найден","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}},"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Добавление товара в ЕО","description":"Метод для распределения товаров по ЕО в поставке.\n\nВам надо добавить штрихкоды товаров, их количество, номер ЕО, коды маркировок, коды ГТД/РНПТ. Коды маркировок указывать в формате BASE64.\n\nОчень важно распределять коды соответственно тем товарам, которые будут физически лежать в поставке.\n","operationId":"fboApiAddItemInUnits","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FboApiItemAddInUnitRequestDto"}}}},"required":true},"responses":{"200":{"description":"Запрос успешно обработан"},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Поставка не найдена","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}/edit-truck-info":{"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Заполнение данных водителя и автомобиля","description":"Метод для указания ФИО водителя, марки и номера транспортного средства.\n","operationId":"fboApiEditTruckInfo","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiEditTruckInfoRequestDto"}}},"required":true},"responses":{"200":{"description":"Запрос успешно обработан"},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"URL не найден","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}/cancel":{"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Отмена поставки","description":"Метод для отправки запроса на отмену поставки.\n\nЕсли вам нужно проверить, отменилась ли поставка, настройте мониторинг статусов, используя метод «Получение информации по поставке».\n","operationId":"fboApiCancelShipment","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Поставка отменена"},"202":{"description":"Отправлен запрос на отмену поставки"},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"URL не найден","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}/acceptance-certificate/download/xlsx":{"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Получение ссылки на АПП xlsx","description":"Метод для получения закрывающего документа — акта приёма-передачи по поставке в формате XLSX.\n","operationId":"fboApiCreateAcceptanceCertificateExcel","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Поставка не найдена","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}/acceptance-certificate/download/pdf":{"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Получение АПП (pdf)","description":"Метод для получения закрывающего документа — акта приёма-передачи по поставке в формате PDF.\n","operationId":"fboApiGetAcceptanceCertificatePdf","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Запрос успешно обработан","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Неправильный запрос","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Поставка не найдена","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/stickers/download":{"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Создание файла с этикетками ЕО","description":"Метод для получения файлов с этикетками, которые надо наклеить на поставку соответственно сформированным ЕО.\nНа вход вам надо подать номера ЕО, для которых вы хотите распечатать этикетки, в ответе получите файл pdf.\n","operationId":"fboApiGenerateUnitStickers","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiGenerateUnitStickersPdfRequestDto"}}},"required":true},"responses":{"200":{"description":"Запрос успешно обработан","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Неправильный запрос","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Отказано в доступе","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Поставка не найдена","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/generate-unit-numbers":{"post":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Генерация номеров ЕО для этикеток","description":"Метод для получения номеров единиц отгрузки (ЕО), в которые будут упакованы товары из поставки.\n\n`unitNumber` - единица отгрузки (ЕО). Это паллета или короб, предназначенные для физического размещения товаров при поставке.\nНа вход необходимо подать требуемое количество ЕО, и в ответе вы получите список сгенерированных номеров.\n","operationId":"fboApiGenerateUnitNumbers","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiGenerateUnitNumbersRequestDto"}}},"required":true},"responses":{"200":{"description":"Запрос успешно обработан","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiGenerateUnitNumbersResponseDto"}}}},"400":{"description":"Неправильный запрос","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Поставка не найдена","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}":{"get":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Получение поставки поставщика по ид","description":"Метод для получения полной информации о поставке.\nВоспользуйтесь им на этапе, когда вы завели кол-во товаров, которые хотите поставить,\nи вам надо понимать, согласована ли поставка модератором и какие еще поля в ней нужно заполнить.\n\nТакже вы можете использовать метод на других этапах интеграции, если вам нужна подробная информация по поставке.\n\n### Расшифровка статусов:\n`status` - статус поставки\n\n- `DRAFT` - “черновик”, означает, что вы уже создали заявку на поставку, завели склады и получили номер поставки, но еще не заполнили товары, которые хотите поставить и их количество, либо заполнили, но не отправили на проверку модератору Детского мира\n- `ON_APPROVAL` - “на согласовании”, означает, что вы заполнили в поставке, какие товары вы хотите привезти и в каком количестве и отправили ее на согласование модератору Детского мира, нужно дождаться решения\n- `PICKING` - “подготовка к отгрузке”, означает, что кол-во товаров, которое было заявлено в поставке, согласовано модератором Детского мира и теперь вам надо заполнить поставку и подготовить ее к отгрузке. В этом статусе надо распределить товары по единицам отгрузки, заполнить дату и слот поставки,  при необходимости заполнить коды маркировок/ ГТД/ коды прослеживаемости.\n- `VERIFICATION` - “на проверке”, означает, что вы заполнили всю информацию по поставке и отправили ее на согласование в Детский мир, чтобы “записаться” на приемку.\n- `VERIFICATION_ERROR` - “ошибка согласования”, означает, что при заполнении поставки были допущены ошибки. Исправьте ошибки и отправьте поставку на согласование снова.\n- `PLANNED` - “запланирована поставка”, означает, что ваша поставка согласована и мы ждем вашего прибытия на склад.\n- `PERMIT_REGISTRATION` - “требуется пропуск”, означает, что для въезда на склад нужно сделать пропуск, отправьте данные о водителе и транспортном средстве.\n- `DELIVERED` - “принято”, означает, что поставка принята в Детском мире.\n- `UTD_WAITING` - “доставлено: ожидается упд”, означает, что поставка принята, но ждем, когда вы отправите УПД.\n- `UTD_ERROR` - “ошибка УПД”, означает, что в УПД была ошибка, исправьте пожалуйста и отправьте снова.\n- `UTD_SIGNED` - “подписан УПД”, это финальный статус. Поставка принята, УПД принят, все документы в порядке.\n\n- `correctionRequired` - true -  означает, что по поставке нужны исправления. Вы можете фильтровать поставки по этому полю, чтобы следить за теми поставками, по которым надо что-то исправить. При возникновении этого флага, пожалуйста обратите внимание на комментарий к поставке или на комментарий к товару в поставке.\n- `cancelRequest` - true - означает, что вы отправляли запрос на отмену поставки и он пока находится в обработке.\n- `canceled` - true - это значит, что вы отправляли запрос на отмену поставки и она отменена.\n- `deleted` - true - это значит, что вы отправляли запрос на отмену поставки и она отменена для вашей работы этот флаг аналогичен флагу “canceled”.\n\n### Дополнительная информация о полях:\n- `approvalDate` - дата, когда поставка согласована по количеству товаров.\n- `maxApprovedShipmentDate` - дата до какого дня можно совершить поставку. Если вы не сделали поставку до этой даты, завести новую поставку и снова ее согласовать, а старую поставку нужно отменить.\n- `linesCount` - кол-во товарных позиций в поставке, по каждому из которых может быть свое количество штук товаров.\n- `shipmentUnitsCount` - кол-во ЕО (единиц отгрузки) в поставке. Единица отгрузки - это паллета или короб, в котором физически лежат товары при поставке.\n- `hasOversizeItem` - true - наличие крупногабаритного товара в поставке.\n- `creationType` - \"MANUAL\" - это значит, что кол-во товаров в поставке было задано поставщиком. Есть возможность оформить автозаказ, для этого надо использовать пользовательский интерфейс личного кабинета.\n\n","operationId":"fboApiGetShipment","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Запрос успешно обработан","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiShipmentDto"}}}},"404":{"description":"URL не найден","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}},"/public/api/seller/fbo/v1/shipments/{id}/available-slots":{"get":{"tags":["1. Поставки FBO - Операции для поставщика через API"],"summary":"Получение свободных слотов для поставки","description":"Метод для получения списка доступных слотов на складе «Детского мира», чтобы выбрать подходящее время прибытия транспортного средства с поставкой.\n\nВ дальнейшем информацию о выбранных дате и времени необходимо будет добавить в поставку\n","operationId":"fboApiGetAvailableSlots","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Запрос успешно обработан","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FboApiAvailableSlotsDto"}}}},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"URL не найден","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"422":{"description":"Невалидные параметры запроса","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}},"components":{"schemas":{"ApiError":{"type":"object","properties":{"message":{"type":"string"}}},"ApiErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"properties":{"empty":{"type":"boolean"},"first":{"$ref":"#/components/schemas/ApiError"},"last":{"$ref":"#/components/schemas/ApiError"}}}}},"FboApiCreateShipmentRequestDto":{"type":"object","properties":{"warehouseId":{"type":"integer","format":"int64","description":"Идентификатор склада"},"transitWarehouseId":{"type":"integer","format":"int64","description":"Идентификатор транзитного склада"}},"required":["warehouseId"]},"FboApiShipmentIdOnlyDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Идентификатор FBO поставки"}},"required":["id"]},"FboApiCreateUtdRequestDto":{"type":"object","properties":{"shipper":{"type":"string","minLength":1},"shipperAddress":{"type":"string","minLength":1},"signatoryPosition":{"type":"string","minLength":1},"firstName":{"type":"string","minLength":1},"middleName":{"type":"string","minLength":1},"lastName":{"type":"string","minLength":1}},"required":["firstName","lastName","middleName","shipper","shipperAddress","signatoryPosition"]},"FboApiShipmentVerificationRequest":{"type":"object","properties":{"transportDocumentNumber":{"type":"string"},"transportDocumentDate":{"type":"string","format":"date"}},"required":["transportDocumentDate","transportDocumentNumber"]},"FboApiPlanShipmentRequestDto":{"type":"object","properties":{"shipmentDate":{"type":"string","format":"date"},"shipmentSlot":{"$ref":"#/components/schemas/TimeSlotDto"}},"required":["shipmentDate","shipmentSlot"]},"TimeSlotDto":{"type":"object","properties":{"from":{"type":"string","description":"Время начала слота в формате hh:mm","example":"11:00"},"to":{"type":"string","description":"Время завершения слота в формате hh:mm","example":"13:00"}},"required":["from","to"]},"FboApiAddItemsDto":{"type":"object","properties":{"barcode":{"type":"string"},"count":{"type":"integer","format":"int32","maximum":10000,"minimum":1}},"required":["barcode"]},"FboApiAddItemsRequestDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/FboApiAddItemsDto"},"maxItems":2000,"minItems":1}},"required":["items"]},"ApiRequestUnit":{"type":"object","properties":{"unitNumber":{"type":"string","description":"Номер ЕО","minLength":1},"count":{"type":"integer","format":"int32","description":"Количество товара"},"base64markings":{"type":"array","description":"Марки","items":{"type":"string"}}},"required":["count","unitNumber"]},"DeclarationsByBarcode":{"type":"object","properties":{"declarationNumber":{"type":"string","description":"Номер ГТД/РНПТ","minLength":1},"count":{"type":"integer","format":"int32","description":"Количество товара"}},"required":["count","declarationNumber"]},"FboApiItemAddInUnitRequestDto":{"type":"object","description":"Добавить товар в ЕО","properties":{"barcode":{"type":"string","description":"ШК"},"count":{"type":"integer","format":"int32","description":"Общее количество товаров"},"units":{"type":"array","description":"Марки","items":{"$ref":"#/components/schemas/ApiRequestUnit"}},"declarations":{"type":"array","description":"ГТД/РНПТ","items":{"$ref":"#/components/schemas/DeclarationsByBarcode"}}},"required":["barcode","count"]},"FboApiEditTruckInfoRequestDto":{"type":"object","properties":{"driverName":{"type":"string","description":"ФИО водителя","example":"Афанасьев Фёдор Иванович","minLength":1},"vehicleBrand":{"type":"string","description":"Марка ТС","example":"КамАЗ-54115","minLength":1},"licensePlate":{"type":"string","description":"Номерной знак ТС","example":"М571АК50","maxLength":15,"minLength":0}},"required":["driverName","licensePlate","vehicleBrand"]},"FboApiGenerateUnitStickersPdfRequestDto":{"type":"object","description":"Запрос на получение pdf-файла с этикетками","properties":{"unitNumbers":{"type":"array","description":"Номера этикеток","items":{"type":"string"},"maxItems":100,"minItems":1}},"required":["unitNumbers"]},"FboApiGenerateUnitNumbersRequestDto":{"type":"object","description":"Запрос на генерацию номеров ЕО","properties":{"count":{"type":"integer","format":"int32","maximum":100,"minimum":1}}},"FboApiGenerateUnitNumbersResponseDto":{"type":"object","description":"Сгенерированные номера ЕО","properties":{"shipmentUnitNumbers":{"type":"array","description":"Список сгенерированных номеров ЕО","items":{"type":"string"}}}},"AutoOrderCalculationParametersDto":{"type":"object","properties":{"planningShipmentDate":{"type":"string","format":"date","description":"Плановая дата поставки в авто-заказе","example":"2021-01-28"},"shipmentDepthInDays":{"type":"integer","format":"int32","description":"Глубина поставки в авто-заказе","example":3}},"required":["planningShipmentDate","shipmentDepthInDays"]},"FboApiShipmentDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Номер заявки на поставку","example":7},"orderNumber":{"type":"string","description":"Номер заказа. Заполняется при первой отправке заявки в SAP.","example":4330210},"warehouseId":{"type":"integer","format":"int64","description":"Идентификатор целевого склада","example":1020},"warehouseTitle":{"type":"string","description":"Название склада","example":"РЦ Бекасово"},"warehouseAddress":{"type":"string","description":"Адрес склада","example":"Московская Область, д.Бекасово, участок 1"},"transitWarehouseId":{"type":"integer","format":"int64","description":"Идентификатор транзитного склада","example":1020},"transitWarehouseTitle":{"type":"string","description":"Название транзитного склада","example":"РЦ Бекасово"},"transitWarehouseAddress":{"type":"string","description":"Адрес транзитного склада","example":"Московская Область, д.Бекасово, участок 1"},"status":{"type":"string","description":"Статус заявки на поставку","enum":["DRAFT","ON_APPROVAL","DECLINED","PICKING","VERIFICATION","VERIFICATION_ERROR","PERMIT_REGISTRATION","PLANNED","DELIVERED","UTD_WAITING","UTD_ERROR","UTD_SIGNED"],"example":"DRAFT"},"deliveryType":{"type":"string","description":"тип поставки","enum":["DIRECT","TRANSIT"],"example":"TRANSIT"},"correctionRequired":{"type":"boolean","description":"Индикатор заявки, требующей исправления","example":false},"deleted":{"type":"boolean","description":"Индикатор удаленной заявки","example":false},"cancelled":{"type":"boolean","description":"Индикатор отмененной заявки","example":false},"cancelRequested":{"type":"boolean","description":"Индикатор заявки на отмену поставики","example":false},"approvalDate":{"type":"string","format":"date","description":"Дата согласования заявки на поставку (м.б. пустая, если по поставке нет согласования)","example":"2021-01-15"},"maxApprovedShipmentDate":{"type":"string","format":"date","description":"Дата, до которой (включительно) разрешено планировать поставку","example":"2021-01-30"},"shipmentDate":{"type":"string","format":"date","description":"Дата поставки","example":"2021-01-28"},"shipmentSlot":{"$ref":"#/components/schemas/ShipmentSlotDto","description":"Слот поставки"},"shipmentSlotExpiration":{"type":"string","format":"date-time","description":"Момент времени, до которого сохраняется бронь слота","example":"2021-02-03T01:01:03.711198"},"transportDocumentNumber":{"type":"string","description":"Номер УПД (универсальный передаточный документ)","example":100200300400500},"transportDocumentDate":{"type":"string","format":"date","description":"Дата УПД (универсальный передаточный документ)","example":"2021-01-28"},"driverName":{"type":"string","description":"ФИО водителя","example":"Иванов Евграфий Филаретович"},"vehicleBrand":{"type":"string","description":"Марка ТС","example":"КамАЗ-54115"},"licensePlate":{"type":"string","description":"Номерной знак ТС","example":"С065МК78"},"comment":{"type":"string","description":"Коментарий к заявке","example":"Очень странная заявка"},"linesCount":{"type":"integer","format":"int32","description":"Количество позиций","example":0},"itemsCount":{"type":"integer","format":"int32","description":"Количество товаров","example":3},"pledgePrice":{"type":"number","description":"Залоговая цена, р","example":450},"shipmentUnitsCount":{"type":"integer","format":"int32","description":"Количество ЕО","example":3},"hasOversizeItem":{"type":"boolean","description":"Признак того что поставка имеет крупно габаритный товар(ы)","example":true},"creationType":{"type":"string","description":"Тип создания поставки","enum":["MANUAL","AUTO"],"example":"MANUAL"},"calculationParameters":{"$ref":"#/components/schemas/AutoOrderCalculationParametersDto","description":"Параметры расчета авто-заказа при создании поставки"},"created":{"type":"string","format":"date-time","description":"Дата создания заявки на поставку","example":"2021-02-03T01:01:03.711198"},"updated":{"type":"string","format":"date-time","description":"Дата обновления заявки на поставку","example":"2021-02-03T01:04:05.711199"}},"required":["cancelled","correctionRequired","created","deleted","deliveryType","hasOversizeItem","id","itemsCount","linesCount","pledgePrice","shipmentUnitsCount","status","updated","warehouseAddress","warehouseTitle"]},"ListingDtoFboApiShipmentDto":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/FboApiShipmentDto"},"properties":{"empty":{"type":"boolean"},"first":{"$ref":"#/components/schemas/FboApiShipmentDto"},"last":{"$ref":"#/components/schemas/FboApiShipmentDto"}}},"meta":{"$ref":"#/components/schemas/MetaDto"}},"required":["meta","results"]},"MetaDto":{"type":"object","properties":{"count":{"type":"integer","format":"int64"},"offset":{"type":"integer","format":"int64"},"limit":{"type":"integer","format":"int64"},"sort":{"type":"array","items":{"$ref":"#/components/schemas/SortData"},"properties":{"empty":{"type":"boolean"},"first":{"$ref":"#/components/schemas/SortData"},"last":{"$ref":"#/components/schemas/SortData"}}}},"required":["count","limit","offset","sort"]},"ShipmentSlotDto":{"type":"object","description":"Временной слот поставки","properties":{"from":{"type":"string","minLength":1,"pattern":"(([0-1][0-9])|(2[0-3])):[0-5][0-9]"},"to":{"type":"string","minLength":1,"pattern":"(([0-1][0-9])|(2[0-3])):[0-5][0-9]"}},"required":["from","to"]},"SortData":{"type":"object","properties":{"field":{"type":"string"},"sort":{"type":"string","enum":["ASC","DESC","ASCALL","DESCALL"]}},"required":["field","sort"]},"FboApiShipmentItemDto":{"type":"object","properties":{"barcode":{"type":"string","description":"Штрих-код (если у товара штрих-кодов несколько, то любой из них)","example":7565245600062},"article":{"type":"string","description":"Артикул товара","example":"A15-jF258118"},"title":{"type":"string","description":"Название","example":"Куртка Futurino тёмно-серая"},"size":{"type":"string","description":"Размер товара","example":"Б/Р"},"count":{"type":"integer","format":"int32","description":"Количество, планируемое к поставке","example":12},"autoCalculatedCount":{"type":"integer","format":"int32","description":"Рассчитанное количество для авто-заказа","example":12},"comment":{"type":"string","description":"Комментарий к строке","example":"Не хочу аппрувить"},"pledgePrice":{"type":"number","description":"Залоговая цена, р","example":"450,59"},"markingRequired":{"type":"boolean","description":"Признак обязательности маркировки","example":true},"declarationRequired":{"type":"boolean","description":"Признак обязательности ГТД","example":true},"traceable":{"type":"boolean","description":"Признак прослеживаемости товара","example":true},"packedCount":{"type":"integer","format":"int32","description":"Количество товара, для которого заданы ЕО","example":7},"declaredCount":{"type":"integer","format":"int32","description":"Количество товара, для которого заданы ГТД","example":5},"displayName":{"type":"string","description":"Название товара совмещено с размером","example":"Куртка Futurino тёмно-серая - размер 48"},"approvedCount":{"type":"integer","format":"int32","description":"Количество товара, согласованное модератором","example":12},"productCode":{"type":"string","description":"Код товара","example":691036681002}}},"ListingDtoFboApiShipmentItemDto":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/FboApiShipmentItemDto"},"properties":{"empty":{"type":"boolean"},"first":{"$ref":"#/components/schemas/FboApiShipmentItemDto"},"last":{"$ref":"#/components/schemas/FboApiShipmentItemDto"}}},"meta":{"$ref":"#/components/schemas/MetaDto"}},"required":["meta","results"]},"ApiResponseUnit":{"type":"object","properties":{"unitNumber":{"type":"string"},"count":{"type":"integer","format":"int32"},"base64markings":{"type":"array","items":{"type":"string"}}}},"FboApiItemLinksResponseDto":{"type":"object","properties":{"barcode":{"type":"string"},"count":{"type":"integer","format":"int32"},"units":{"type":"array","items":{"$ref":"#/components/schemas/ApiResponseUnit"}},"declarations":{"type":"array","items":{"$ref":"#/components/schemas/DeclarationsByBarcode"}}}},"ListingDtoFboApiItemLinksResponseDto":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/FboApiItemLinksResponseDto"},"properties":{"empty":{"type":"boolean"},"first":{"$ref":"#/components/schemas/FboApiItemLinksResponseDto"},"last":{"$ref":"#/components/schemas/FboApiItemLinksResponseDto"}}},"meta":{"$ref":"#/components/schemas/MetaDto"}},"required":["meta","results"]},"DaySchedule":{"type":"object","properties":{"shipmentDate":{"type":"string","format":"date","description":"Дата поставки"},"shipmentSlot":{"type":"array","description":"Слот поставки","items":{"$ref":"#/components/schemas/ShipmentSlotDto"}}}},"FboApiAvailableSlotsDto":{"type":"object","properties":{"days":{"type":"array","description":"Доступные слоты","items":{"$ref":"#/components/schemas/DaySchedule"}}}}}}}